<script>
  import { store as toast, createToast } from '../stores/toast'

  function actionWrapper(fn) {
    return event => {
      $toast = null
      fn(event)
    }
  }
</script>

{#if $toast}
  <div class="w-full p-1 bg-gray-900 dark:bg-gray-800 text-white sticky bottom-0 z-40">
    <div class="max-w-xl mx-auto flex">
      <p class="toast-text truncate w-full p-1">{$toast.message}</p>
      {#each $toast.buttons as button}
        <button
          class="bg-gray-700 text-blue-300 rounded px-2 py-1 ml-1"
          on:click={actionWrapper(button.fn)}
        >
          {button.text}
        </button>
      {/each}
    </div>
  </div>
{/if}
